using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class RoomTypeWXMenus
	{

		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// 房型
        /// </summary>
        public virtual RoomType RoomType
        {
            get;
            set;
        }
        /// <summary>
        /// 代码
        /// </summary>
        public virtual string Code
        {
            get;
            set;
        }
		/// <summary>
		/// 菜单名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
        /// <summary>
        /// 菜单名称
        /// </summary>
        public virtual string EName
        {
            get;
            set;
        }
        /// <summary>
        /// 菜单名称
        /// </summary>
        public virtual string TWName
        {
            get;
            set;
        }
        /// <summary>
        /// 样式
        /// </summary>
        public virtual string Class
        {
            get;
            set;
        }
		/// <summary>
		/// 排序
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}
		/// <summary>
		/// 启用
		/// </summary>
		public virtual bool ActiveIndicator
		{
			get;
			set;
		}
        /// <summary>
        /// 取电
        /// </summary>
        public virtual bool TakePower
        {
            get;
            set;
        }
        public virtual int Width
        {
            get;
            set;
        }
	}
}
